# mysite/mysite/logging_settings.py

from copy import deepcopy
from django.utils.log import DEFAULT_LOGGING


def init_logging_settings():
    logging_dict = deepcopy(DEFAULT_LOGGING)
    logging_dict['handlers']['send_xmpp'] = {
        "level": "ERROR",
        "class": "mysite.sendxmpp_handler.SENDXMPPHandler"
    }
    logging_dict['loggers']['django']['handlers'].append("send_xmpp")
    return logging_dict
