# mysite/mysite/settings.py

from .logging_settings import init_logging_settings
import os
from dotenv import load_dotenv
load_dotenv()

LOGGING_XMPP_CONFIG = {
    'LOGGING_XMPP_SERVER': str(os.getenv('LOGGING_XMPP_SERVER')),

    'LOGGING_XMPP_SENDER': str(os.getenv('LOGGING_XMPP_SENDER')),

    'LOGGING_XMPP_PASSWORD': str(os.getenv('LOGGING_XMPP_PASSWORD')),

    'LOGGING_XMPP_RECIPIENT': str(os.getenv('LOGGING_XMPP_RECIPIENT')),

    # '/usr/bin/site_perl/sendxmpp' or maybe '/usr/bin/sendxmpp'
    'LOGGING_XMPP_COMMAND': str(os.getenv('LOGGING_XMPP_COMMAND')),

    'LOGGING_XMPP_USE_TLS': str(os.getenv('LOGGING_XMPP_USE_TLS'))
}

LOGGING = init_logging_settings()
